Package: foo2zjs / 20200505dfsg0-1

0014-Don-t-delete-printer-profile-in-clean-target.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
From: Didier Raboud <odyx@debian.org>
Date: Tue, 4 Oct 2016 11:43:57 +0200
Subject: Don't delete printer-profile in clean target

---
 printer-profile.in | 296 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 296 insertions(+)
 create mode 100644 printer-profile.in

diff --git a/printer-profile.in b/printer-profile.in
new file mode 100644
index 0000000..5363847
--- /dev/null
+++ b/printer-profile.in
@@ -0,0 +1,296 @@
+#!/bin/sh
+
+PROGNAME="$0"
+
+usage() {
+	cat <<EOF
+NAME
+    `basename $PROGNAME` - printer-profile using X-Rite ColorMunki and Argyll CMS
+
+SYNOPSIS
+    `basename $PROGNAME` [options] manuf model [rgb|cmyk] [patches] [ink-limit]
+
+DESCRIPTION
+    Prints a test chart, uses the ColorMunki instrument to scan it in, then
+    computes an ICM profile using the Argyll Color Management System.
+
+    Manuf is "sam".  Model is "clp-300" or "clp-315".
+    Manuf is "hp".  Model is "2600" or "cp1215".
+    Manuf is "km".  Model is "1600" or "2300" or "2530".
+
+    "rgb" is the usual setting.  "patches" is a multiple 196 per page.
+
+    Edit the script for additional models.
+
+OPTIONS
+    -b 1|2        Bits per pixel ($BPP)
+    -r XRESxYRES  Resolution. Default=''. ($RES)
+    -P rem-print  Remote print (64-bit) machine, or none ($REMPRINT)
+    -S rem-scan   Remote scan (ColorMunki) machine, or none ($REMSCAN)
+    -D lvl        Debug level
+
+EXAMPLE
+    $ printer-profile sam 315 rgb 196
+
+BUGS
+    gs 8.64 and before has problems with 32-bit machines and color profile
+    data.  Don't use!
+
+    You need two copies of Argyll: must be 1.0.3 and 1.1.0beta. Otherwise,
+    targen and colprof core dumps.
+
+SEE ALSO
+    http://www.xritephoto.com/html/colormunkisplash.htm
+	from Amazon, \$390 shipped
+    http://www.argyllcms.com/
+	free!
+EOF
+
+	exit 1
+}
+
+#
+#       Report an error and exit
+#
+error() {
+	echo "`basename $PROGNAME`: $1" >&2
+	exit 1
+}
+
+debug() {
+	if [ $DEBUG -ge $1 ]; then
+	    echo "`basename $PROGNAME`: $2" >&2
+	fi
+}
+
+#
+#	Execute a command as root
+#
+root() {
+    if [ -x /usr/bin/root ]; then
+        /usr/bin/root $@
+    else
+        su -c "$*"
+    fi
+}
+
+#
+#	trap on error
+#
+trap "exit 1" ERR
+
+#
+#       Process the options
+#
+REMPRINT=amd
+REMSCAN=mac
+REMSCAN=none
+RGB=rgb
+PATCHES=196	#Per page!
+BPP=1
+RES=
+DEBUG=0
+while getopts "b:r:P:S:D:h?" opt
+do
+	case $opt in
+	b)	BPP="$OPTARG";;
+	r)	RES="$OPTARG";;
+	P)	REMPRINT="$OPTARG";;
+	S)	REMSCAN="$OPTARG";;
+	D)	DEBUG="$OPTARG";;
+	h|\?)	usage;;
+	esac
+done
+shift `expr $OPTIND - 1`
+
+#
+#	Main Program
+#
+if [ $# -lt 2 ]; then
+    usage
+fi
+
+MANUF="$1"
+MODEL="$2"
+if [ $# -ge 3 ]; then
+    RGB="$3"
+fi
+if [ $# -ge 4 ]; then
+    PATCHES="$4"
+fi
+INK="$5"
+
+BPP_b="-b$BPP"
+RES_r=
+if [ "$RES" != "" ]; then
+    RES_r="-r$RES"
+fi
+
+case "$MANUF" in
+km)
+    MANUF=km
+    case "$MODEL" in
+    *1600*)
+	FOO=foo2lava
+	WRAPPER="foo2lava-wrapper $RES_r -z2 -c -C10 -Gnone.icm"
+	OUT="root cp xxx.prn /dev/usb/lp1"
+	;;
+    *2530*)
+	FOO=foo2lava
+	WRAPPER="foo2lava-wrapper $RES_r -z0 -c -C10 -Gnone.icm"
+	OUT="nc 192.168.1.13 9100 < xxx.prn"
+	;;
+    *2300*)
+	FOO=foo2zjs
+	WRAPPER="foo2zjs-wrapper $RES_r -c -C10 -Gnone.icm"
+	OUT="nc 192.168.1.10 9100 < xxx.prn"
+	;;
+    *)
+	usage
+	;;
+    esac
+    ;;
+sam*)
+    MANUF=sam
+    FOO=foo2qpdl
+    case "$MODEL" in
+    *300*)
+	WRAPPER="foo2qpdl-wrapper $RES_r -z0 -c -C10 -Gnone.icm"
+	OUT="nc 192.168.1.11 9100 < xxx.prn"
+	;;
+    *315*)
+	WRAPPER="foo2qpdl-wrapper $RES_r -z2 -c -C10 -Gnone.icm"
+	OUT="root cp xxx.prn /dev/usb/lp1"
+	;;
+    *)
+	usage
+	;;
+    esac
+    ;;
+hp*)
+    MANUF=hp
+    FOO=foo2hp
+    case "$MODEL" in
+    *2600*)
+	WRAPPER="foo2hp2600-wrapper $RES_r $BPP_b -z0 -c -C10 -Gnone.icm"
+	OUT="nc 192.168.1.12 9100 < xxx.prn"
+	;;
+    *cp1215*)
+	WRAPPER="foo2hp2600-wrapper $RES_r $BPP_b -z1 -c -C10 -Gnone.icm"
+	OUT="root cp xxx.prn /dev/usb/lp2"
+	;;
+    *)
+	usage
+	;;
+    esac
+    ;;
+*)
+    usage
+    ;;
+esac
+
+mrp="$MANUF-$MODEL-$RGB-$PATCHES"
+if [ "$INK" != "" ]; then
+    mrp="$mrp-ink$INK"
+fi
+if [ "$BPP" != "" ]; then
+    mrp="$mrp-bpp$BPP"
+fi
+if [ "$RES" != "" ]; then
+    mrp="$mrp-$RES"
+fi
+echo "$mrp"
+
+
+BETABIN=~/src/Argyll_V1.1.0_Beta/bin
+if [ ! -x $BETABIN/printtarg ]; then
+    error "No beta bin in $BETABIN!"
+fi
+
+targen_opts=
+case "$RGB" in
+rgb|RGB)	targen_opts="$targen_opts -d3";;
+cmyk|CMYK)	targen_opts="$targen_opts -d4";;
+*)		error "Parm2: Must be rgb or cmyk";;
+esac
+
+targen_opts="$targen_opts -f$PATCHES"
+
+if [ "$INK" != "" ]; then
+    targen_opts="$targen_opts -l$INK"
+fi
+
+echo
+echo "******************************** targen ********************************"
+echo "targen $targen_opts $mrp"
+if ! targen $targen_opts $mrp >$mrp.err1; then
+    cat $mrp.err1
+    exit 1
+fi
+
+echo
+echo "******************************* printtarg ******************************"
+echo "$BETABIN/printtarg -h -v -iCM -p Letter -R0 $mrp"
+$BETABIN/printtarg -h -v -iCM -p Letter -R0 $mrp
+
+evince $mrp.ps &
+
+echo
+echo "******************************* print it *******************************"
+echo "$WRAPPER"
+case "$REMPRINT" in
+''|none)
+    $WRAPPER <$mrp.ps >$mrp.prn
+    ;;
+*)
+    ssh $REMPRINT "$WRAPPER" <$mrp.ps >$mrp.prn
+    ;;
+esac
+ls -l $mrp.prn
+echo -n "Print it? [y|n]? "
+read yes
+case "$yes" in
+y|Y)
+    cp $mrp.prn xxx.prn
+    echo "	$OUT"
+    eval $OUT
+    rm -f xxx.prn
+esac
+
+echo
+echo "******************************* chartread ******************************"
+case "$REMSCAN" in
+''|none)
+    echo "$BETABIN/chartread $mrp"
+    $BETABIN/chartread $mrp
+    ;;
+*)
+    echo "scp $mrp.ti2 mac:"
+    scp $mrp.ti2 mac:
+    echo "$BETABIN/chartread $mrp"
+    echo  -n "Scanned on remote system $REMSCAN? [y/n]? "
+    read yes
+    case "$yes" in
+    y|Y)
+	scp $REMSCAN:$mrp.ti3 .
+	;;
+    esac
+    ;;
+esac
+
+echo
+echo "******************************** colprof *******************************"
+case $RGB in
+rgb)
+    echo "colprof -v -D\"$mrp\" -qm -cmt -dpp $mrp"
+    colprof -v -D"$mrp" -qm -cmt -dpp $mrp
+    ;;
+cymk)
+    echo "colprof -v -D\"$mrp\" -qm  -cmt -dpp -kr $mrp"
+    colprof -v -D"$mrp" -qm  -cmt -dpp -kr $mrp
+    ;;
+esac
+
+root cp $mrp.icc /usr/share/$FOO/icm/testing.icm
+echo "/usr/share/$FOO/icm/testing.icm created!"
+ls -l /usr/share/$FOO/icm/